## ros-kinetic-pr2-teleop-general 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_teleop_general)

find_package(catkin REQUIRED COMPONENTS roscpp actionlib actionlib_msgs geometry_msgs sensor_msgs pr2_msgs pr2_controllers_msgs pr2_controller_manager pr2_mechanism_msgs angles urdf ps3joy pr2_common_action_msgs polled_camera moveit_msgs tf)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
    CATKIN_DEPENDS roscpp actionlib actionlib_msgs geometry_msgs sensor_msgs pr2_msgs pr2_controllers_msgs pr2_controller_manager pr2_mechanism_msgs angles urdf ps3joy pr2_common_action_msgs polled_camera moveit_msgs tf 
    INCLUDE_DIRS include
    LIBRARIES pr2_teleop_general_commander
)

add_executable(pr2_teleop_general_joystick src/pr2_teleop_general_joystick.cpp)
target_link_libraries(pr2_teleop_general_joystick  ${catkin_LIBRARIES} pr2_teleop_general_commander)

add_executable(pr2_teleop_general_keyboard src/pr2_teleop_general_keyboard.cpp)
target_link_libraries(pr2_teleop_general_keyboard  ${catkin_LIBRARIES} pr2_teleop_general_commander)


add_library(pr2_teleop_general_commander src/pr2_teleop_general_commander.cpp)
add_dependencies(pr2_teleop_general_commander ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


target_link_libraries(pr2_teleop_general_commander  ${catkin_LIBRARIES})
add_dependencies(pr2_teleop_general_commander ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(TARGETS pr2_teleop_general_joystick pr2_teleop_general_keyboard pr2_teleop_general_commander
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  
)

install(TARGETS pr2_teleop_general_commander
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-pr2-teleop-general (0.6.0-0xenial) xenial; urgency=high

  * Merge pull request #35 <https://github.com/pr2/pr2_apps/issues/35> from k-okada/remove_GetKinematicSolverInfo
    remove GetKinematicSolverInfo
  * remove GetKinematicSolverInfo
    GetKinematicSolverInfo.srv has been removed from moveit_msgs by https://github.com/ros-planning/moveit_msgs/issues/3,
    since I'm not sure what is the best way to re-write code without this service, but to write the list of joint names directory
  * Merge pull request #34 <https://github.com/pr2/pr2_apps/issues/34> from PR2/k-okada-patch-1
    remove bullet depend from package.xml
  * remove bullet depend from package.xml
    emove depend to bullet, it already removed from code long time ago https://github.com/PR2/pr2_apps/pull/8/commits/64b60278bc02e83b1826f6f122b573e298476285
  * Merge pull request #32 <https://github.com/pr2/pr2_apps/issues/32> from k-okada/fix_cmake_teleop
    fix cmake of pr2_teleop_general
  * fix cmake of pr2_teleop_general
    - remove depend to bullet, it already removed from code long time ago https://github.com/PR2/pr2_apps/pull/8/commits/64b60278bc02e83b1826f6f122b573e298476285
    - use  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}, instead of *msgs_gencpp
  * Merge pull request #31 <https://github.com/pr2/pr2_apps/issues/31> from k-okada/19
    add pr2_mannequin_mode as run_depend for pr2_teleop_general.
  * add pr2_mannequin_mode as run_depend for pr2_teleop_general.
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * Contributors: Christian Dornhege, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.20-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 04 May 2015 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.19-0xenial) xenial; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 28 Apr 2015 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.18-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.16-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.15-0xenial) xenial; urgency=high

  * Bugfix for pr2_teleop_general. Added destinations for targets
  * Added target locations to pr2_teleop libs and execs
  * Added installs for pr2_teleop_general and pr2_teleop
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 27 Jan 2015 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.14-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 19 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.13-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.12-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 16 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.11-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.10-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 16 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.9-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.8-0xenial) xenial; urgency=high

  * Updated maintainership
  * Fixing the tf/LinearMath/Quaternion.h not found bug
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.7-0xenial) xenial; urgency=high

  * Fixed teleop commander lib gen
  * Changelog
  * Things
  * Contributors: TheDash
  * Things
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.6-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.5-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.4-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.3-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.2-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-teleop-general (0.5.1-0xenial) xenial; urgency=high

  * pr2_teleop_general now depends on moveit_msgs instead of kinematics_msgs


=== debian/control ===
Source: ros-kinetic-pr2-teleop-general
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-moveit-msgs, ros-kinetic-polled-camera, ros-kinetic-pr2-common-action-msgs, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-pr2-msgs, ros-kinetic-ps3joy, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-urdf
Homepage: http://ros.org/wiki/pr2_teleop_general
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-teleop-general
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-angles, ros-kinetic-geometry-msgs, ros-kinetic-moveit-msgs, ros-kinetic-polled-camera, ros-kinetic-pr2-arm-kinematics, ros-kinetic-pr2-common-action-msgs, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mannequin-mode, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-pr2-msgs, ros-kinetic-pr2-tuck-arms-action, ros-kinetic-ps3joy, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-urdf
Description: pr2_teleop_general

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-teleop-general//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
